<?php
$tdatapago_dp = array();
$tdatapago_dp[".searchableFields"] = array();
$tdatapago_dp[".ShortName"] = "pago_dp";
$tdatapago_dp[".OwnerID"] = "";
$tdatapago_dp[".OriginalTable"] = "pago_dp";


$tdatapago_dp[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatapago_dp[".originalPagesByType"] = $tdatapago_dp[".pagesByType"];
$tdatapago_dp[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatapago_dp[".originalPages"] = $tdatapago_dp[".pages"];
$tdatapago_dp[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatapago_dp[".originalDefaultPages"] = $tdatapago_dp[".defaultPages"];

//	field labels
$fieldLabelspago_dp = array();
$fieldToolTipspago_dp = array();
$pageTitlespago_dp = array();
$placeHolderspago_dp = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelspago_dp["Spanish"] = array();
	$fieldToolTipspago_dp["Spanish"] = array();
	$placeHolderspago_dp["Spanish"] = array();
	$pageTitlespago_dp["Spanish"] = array();
	$fieldLabelspago_dp["Spanish"]["derecho_Propietario"] = "Derecho Propietario";
	$fieldToolTipspago_dp["Spanish"]["derecho_Propietario"] = "";
	$placeHolderspago_dp["Spanish"]["derecho_Propietario"] = "";
	$fieldLabelspago_dp["Spanish"]["accionista"] = "Accionista";
	$fieldToolTipspago_dp["Spanish"]["accionista"] = "";
	$placeHolderspago_dp["Spanish"]["accionista"] = "";
	$fieldLabelspago_dp["Spanish"]["estado"] = "Estado";
	$fieldToolTipspago_dp["Spanish"]["estado"] = "";
	$placeHolderspago_dp["Spanish"]["estado"] = "";
	$fieldLabelspago_dp["Spanish"]["id_Pago"] = "Id Pago";
	$fieldToolTipspago_dp["Spanish"]["id_Pago"] = "";
	$placeHolderspago_dp["Spanish"]["id_Pago"] = "";
	$fieldLabelspago_dp["Spanish"]["fecha_Pago"] = "Fecha Pago";
	$fieldToolTipspago_dp["Spanish"]["fecha_Pago"] = "";
	$placeHolderspago_dp["Spanish"]["fecha_Pago"] = "";
	$fieldLabelspago_dp["Spanish"]["tipo_pago"] = "Tipo Pago";
	$fieldToolTipspago_dp["Spanish"]["tipo_pago"] = "";
	$placeHolderspago_dp["Spanish"]["tipo_pago"] = "";
	$fieldLabelspago_dp["Spanish"]["respaldo"] = "Respaldo";
	$fieldToolTipspago_dp["Spanish"]["respaldo"] = "";
	$placeHolderspago_dp["Spanish"]["respaldo"] = "";
	if (count($fieldToolTipspago_dp["Spanish"]))
		$tdatapago_dp[".isUseToolTips"] = true;
}


	$tdatapago_dp[".NCSearch"] = true;



$tdatapago_dp[".shortTableName"] = "pago_dp";
$tdatapago_dp[".nSecOptions"] = 0;

$tdatapago_dp[".mainTableOwnerID"] = "";
$tdatapago_dp[".entityType"] = 0;
$tdatapago_dp[".connId"] = "bsn_dividendos_at_localhost";


$tdatapago_dp[".strOriginalTableName"] = "pago_dp";

	



$tdatapago_dp[".showAddInPopup"] = false;

$tdatapago_dp[".showEditInPopup"] = false;

$tdatapago_dp[".showViewInPopup"] = false;

$tdatapago_dp[".listAjax"] = false;
//	temporary
//$tdatapago_dp[".listAjax"] = false;

	$tdatapago_dp[".audit"] = true;

	$tdatapago_dp[".locking"] = true;


$pages = $tdatapago_dp[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapago_dp[".edit"] = true;
	$tdatapago_dp[".afterEditAction"] = 1;
	$tdatapago_dp[".closePopupAfterEdit"] = 1;
	$tdatapago_dp[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapago_dp[".add"] = true;
$tdatapago_dp[".afterAddAction"] = 2;
$tdatapago_dp[".closePopupAfterAdd"] = 1;
$tdatapago_dp[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatapago_dp[".list"] = true;
}



$tdatapago_dp[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapago_dp[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapago_dp[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapago_dp[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapago_dp[".printFriendly"] = true;
}



$tdatapago_dp[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapago_dp[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapago_dp[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapago_dp[".isUseAjaxSuggest"] = true;



																														

$tdatapago_dp[".ajaxCodeSnippetAdded"] = false;

$tdatapago_dp[".buttonsAdded"] = false;

$tdatapago_dp[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapago_dp[".isUseTimeForSearch"] = false;


$tdatapago_dp[".badgeColor"] = "6493EA";


$tdatapago_dp[".allSearchFields"] = array();
$tdatapago_dp[".filterFields"] = array();
$tdatapago_dp[".requiredSearchFields"] = array();

$tdatapago_dp[".googleLikeFields"] = array();
$tdatapago_dp[".googleLikeFields"][] = "id_Pago";
$tdatapago_dp[".googleLikeFields"][] = "fecha_Pago";
$tdatapago_dp[".googleLikeFields"][] = "derecho_Propietario";
$tdatapago_dp[".googleLikeFields"][] = "accionista";
$tdatapago_dp[".googleLikeFields"][] = "estado";
$tdatapago_dp[".googleLikeFields"][] = "tipo_pago";
$tdatapago_dp[".googleLikeFields"][] = "respaldo";



$tdatapago_dp[".tableType"] = "list";

$tdatapago_dp[".printerPageOrientation"] = 0;
$tdatapago_dp[".nPrinterPageScale"] = 100;

$tdatapago_dp[".nPrinterSplitRecords"] = 40;

$tdatapago_dp[".geocodingEnabled"] = false;










$tdatapago_dp[".pageSize"] = 20;

$tdatapago_dp[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatapago_dp[".strOrderBy"] = $tstrOrderBy;

$tdatapago_dp[".orderindexes"] = array();


$tdatapago_dp[".sqlHead"] = "SELECT id_Pago,  	fecha_Pago,  	derecho_Propietario,  	accionista,  	estado,  	tipo_pago,  	respaldo";
$tdatapago_dp[".sqlFrom"] = "FROM pago_dp";
$tdatapago_dp[".sqlWhereExpr"] = "";
$tdatapago_dp[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapago_dp[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapago_dp[".arrGroupsPerPage"] = $arrGPP;

$tdatapago_dp[".highlightSearchResults"] = true;

$tableKeyspago_dp = array();
$tableKeyspago_dp[] = "id_Pago";
$tdatapago_dp[".Keys"] = $tableKeyspago_dp;


$tdatapago_dp[".hideMobileList"] = array();




//	id_Pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_Pago";
	$fdata["GoodName"] = "id_Pago";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("pago_dp","id_Pago");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_Pago";

		$fdata["sourceSingle"] = "id_Pago";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_Pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapago_dp["id_Pago"] = $fdata;
		$tdatapago_dp[".searchableFields"][] = "id_Pago";
//	fecha_Pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "fecha_Pago";
	$fdata["GoodName"] = "fecha_Pago";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("pago_dp","fecha_Pago");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha_Pago";

		$fdata["sourceSingle"] = "fecha_Pago";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha_Pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

		$edata["ShowTime"] = true;

		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapago_dp["fecha_Pago"] = $fdata;
		$tdatapago_dp[".searchableFields"][] = "fecha_Pago";
//	derecho_Propietario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "derecho_Propietario";
	$fdata["GoodName"] = "derecho_Propietario";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("pago_dp","derecho_Propietario");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "derecho_Propietario";

		$fdata["sourceSingle"] = "derecho_Propietario";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "derecho_Propietario";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "derecho_propietario3";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_derecho_Propietario";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "id_derecho_Propietario";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "accionista", "lookup" => "id_Socio" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Derecho %value% ya fue pagado", "messageType" => "Text");

	
//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapago_dp["derecho_Propietario"] = $fdata;
		$tdatapago_dp[".searchableFields"][] = "derecho_Propietario";
//	accionista
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "accionista";
	$fdata["GoodName"] = "accionista";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("pago_dp","accionista");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "accionista";

		$fdata["sourceSingle"] = "accionista";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accionista";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "socio";
		$edata["listPageId"] = "list";
		$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 2;

	
		
	$edata["LinkField"] = "id_Socio";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = " concat(ci,' - ',apellido_Paterno,' ',apellido_Materno,' ',nombres) ";

	

		$edata["CustomDisplay"] = "true";

	$edata["LookupOrderBy"] = "";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "derecho_Propietario";

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "El Accionista %value% ya recibio pago", "messageType" => "Text");

	
//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapago_dp["accionista"] = $fdata;
		$tdatapago_dp[".searchableFields"][] = "accionista";
//	estado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "estado";
	$fdata["GoodName"] = "estado";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("pago_dp","estado");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "estado";

		$fdata["sourceSingle"] = "estado";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "estado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "aux";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_aux";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nombre";

				$edata["LookupWhere"] = "valor like 'ESTADO_PAGO'";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapago_dp["estado"] = $fdata;
		$tdatapago_dp[".searchableFields"][] = "estado";
//	tipo_pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "tipo_pago";
	$fdata["GoodName"] = "tipo_pago";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("pago_dp","tipo_pago");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "tipo_pago";

		$fdata["sourceSingle"] = "tipo_pago";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tipo_pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "aux";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_aux";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nombre";

				$edata["LookupWhere"] = "valor  like 'TIPO_PAGO'";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapago_dp["tipo_pago"] = $fdata;
		$tdatapago_dp[".searchableFields"][] = "tipo_pago";
//	respaldo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "respaldo";
	$fdata["GoodName"] = "respaldo";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("pago_dp","respaldo");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "respaldo";

		$fdata["sourceSingle"] = "respaldo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "respaldo";

	
	
		$fdata["UploadCodeExpression"] = true;

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Document Download");

	
	
	
								$vdata["ShowIcon"] = true;
				
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = array();
			$edata["acceptFileTypes"][] = strtoupper("pdf");
						$edata["acceptFileTypesHtml"] = ".pdf";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapago_dp["respaldo"] = $fdata;
		$tdatapago_dp[".searchableFields"][] = "respaldo";


$tables_data["pago_dp"]=&$tdatapago_dp;
$field_labels["pago_dp"] = &$fieldLabelspago_dp;
$fieldToolTips["pago_dp"] = &$fieldToolTipspago_dp;
$placeHolders["pago_dp"] = &$placeHolderspago_dp;
$page_titles["pago_dp"] = &$pageTitlespago_dp;


changeTextControlsToDate( "pago_dp" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["pago_dp"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["pago_dp"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_pago_dp()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id_Pago,  	fecha_Pago,  	derecho_Propietario,  	accionista,  	estado,  	tipo_pago,  	respaldo";
$proto0["m_strFrom"] = "FROM pago_dp";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Pago",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "pago_dp"
));

$proto6["m_sql"] = "id_Pago";
$proto6["m_srcTableName"] = "pago_dp";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_Pago",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "pago_dp"
));

$proto8["m_sql"] = "fecha_Pago";
$proto8["m_srcTableName"] = "pago_dp";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "derecho_Propietario",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "pago_dp"
));

$proto10["m_sql"] = "derecho_Propietario";
$proto10["m_srcTableName"] = "pago_dp";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "accionista",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "pago_dp"
));

$proto12["m_sql"] = "accionista";
$proto12["m_srcTableName"] = "pago_dp";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "pago_dp"
));

$proto14["m_sql"] = "estado";
$proto14["m_srcTableName"] = "pago_dp";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_pago",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "pago_dp"
));

$proto16["m_sql"] = "tipo_pago";
$proto16["m_srcTableName"] = "pago_dp";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "respaldo",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "pago_dp"
));

$proto18["m_sql"] = "respaldo";
$proto18["m_srcTableName"] = "pago_dp";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "pago_dp";
$proto21["m_srcTableName"] = "pago_dp";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "id_Pago";
$proto21["m_columns"][] = "fecha_Pago";
$proto21["m_columns"][] = "derecho_Propietario";
$proto21["m_columns"][] = "accionista";
$proto21["m_columns"][] = "estado";
$proto21["m_columns"][] = "tipo_pago";
$proto21["m_columns"][] = "respaldo";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "pago_dp";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "pago_dp";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="pago_dp";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_pago_dp = createSqlQuery_pago_dp();


	
		;

							

$tdatapago_dp[".sqlquery"] = $queryData_pago_dp;



$tdatapago_dp[".hasEvents"] = false;

?>